--------------------------------------------------------------------------------------
-- Source to Target Map and Requirements Staging Create Script
--
-- SQL Saturday, 1/30/2010, Richmond Va Presentation
-- NORMALIZE METADATA FOR DATA INTEGRATION ANALYSIS
-- Bob Lambert, Bob@RobertLambert.net, http://robertlambert.net
--
--------------------------------------------------------------------------------------
	
-- Drop and create the staging table for loading source/target mapping spreadsheets

USE [SQLSatMetadataDemo]
GO

/****** Object:  Table [stg].[StageInternetSales]    Script Date: 01/24/2010 11:31:48 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[stg].[StageInternetSales]') AND type in (N'U'))
DROP TABLE [stg].[StageInternetSales]
GO

/****** Object:  Table [stg].[StageInternetSales]    Script Date: 01/24/2010 11:31:48 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [stg].[StageInternetSales](
	[InterfaceName] [nvarchar](255) NULL,
	[Direction] [nvarchar](255) NULL,
	[TargetTableName] [nvarchar](255) NULL,
	[TargetColumnName] [nvarchar](255) NULL,
	[TargetDataType] [nvarchar](255) NULL,
	[TargetDataLength] [nvarchar](255) NULL,
	[TargetDescription] [nvarchar](255) NULL,
	[SourceTableName] [nvarchar](255) NULL,
	[SourceColumnName] [nvarchar](255) NULL,
	[SourceDataType] [nvarchar](255) NULL,
	[SourceDataLength] [nvarchar](255) NULL,
	[Transformations] [nvarchar](255) NULL,
	[Comments] [nvarchar](255) NULL
) ON [PRIMARY]

GO

-- Drop and create the staging table for loading requirements mapping spreadsheets

/****** Object:  Table [stg].[StageDataRequirements]    Script Date: 02/12/2010 08:55:57 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[stg].[StageDataRequirements]') AND type in (N'U'))
DROP TABLE [stg].[StageDataRequirements]
GO

USE [SQLSatMetadataDemo]
GO

/****** Object:  Table [stg].[StageDataRequirements]    Script Date: 02/12/2010 08:55:57 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [stg].[StageDataRequirements](
	[RequirementLabel] [nvarchar](255) NULL,
	[RequirementText] [nvarchar](255) NULL,
	[RequirementNotesText] [nvarchar](255) NULL,
	[VersionNumber] [float] NULL,
	[ReleaseNumber] [float] NULL,
	[PriorityNumber] [float] NULL,
	[DataReqmtName] [nvarchar](255) NULL,
	[DataReqmtCategoryText] [nvarchar](255) NULL,
	[DataReqmtDefinitionText] [nvarchar](255) NULL,
	[EffectiveDate] [datetime] NULL,
	[EndDate] [datetime] NULL,
	[TableName] [nvarchar](255) NULL,
	[ColumnName] [nvarchar](255) NULL
) ON [PRIMARY]

GO

